Last modified: 2014-09-22 03:22:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60619 - (jshint) All repositories should pass jshint test (tracking)
(jshint)
All repositories should pass jshint test (tracking)
Status: NEW
Product: Wikimedia
Classification: Unclassified
Continuous integration (Other open bugs)
wmf-deployment
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on: 54907 54908 61588 61591 61594 61595 61596 61597 61599 61600 61601 61602 61603 61604 61605 61607 61608 61612 61613 61614 61618 61620 61622 61623 61624 61625 61626 61627 61629 61632 61633 61634 61635 61636 61637 61638 61640 61641 61643 63112 63668 65053 65894 66192 66193 69838 71106 47161 61587 61589 61590 61592 61593 61598 61606 61609 61610 61611 61616 61617 61619 61621 61628 61630 61631 61639 61642 61644 61645 61646 61647 61648 63117 63219 63221 63669 63805 63959 65487 65817 65818 66014 66190 68335 69869
Blocks: code_quality tracking
  Show dependency treegraph
 
Reported: 2014-01-30 16:10 UTC by Antoine "hashar" Musso (WMF)
Modified: 2014-09-22 03:22 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
list of jslint jobs non voting in Zuul (5.78 KB, text/plain)
2014-01-30 16:35 UTC, Antoine "hashar" Musso (WMF)
Details
list of jslint jobs non voting in Zuul (after change 110535) (1.98 KB, text/plain)
2014-01-31 10:52 UTC, Antoine "hashar" Musso (WMF)
Details

Description Antoine "hashar" Musso (WMF) 2014-01-30 16:10:55 UTC
When we started with jshint, we made the jslint jobs non voting by default.  The reason was to enable reporting while developers are busy fixing their jshint errors.  We eventually came out with a lot of exceptions to whitelist passing repositories.

I believe it is time to reverse the logic and enforce jshint by default on all repositories.
Comment 1 Gerrit Notification Bot 2014-01-30 16:11:29 UTC
Change 110385 had a related patch set uploaded by Hashar:
make jslint voting by default

https://gerrit.wikimedia.org/r/110385
Comment 2 Antoine "hashar" Musso (WMF) 2014-01-30 16:35:11 UTC
Created attachment 14415 [details]
list of jslint jobs non voting in Zuul

Attached is a list of jslint jobs which are non voting as per https://gerrit.wikimedia.org/r/#/c/110385

We should verify whether it is currently passing, and if so make it voting, else have a bug filled so the project owners start fixing the jshint issues.
Comment 3 Gerrit Notification Bot 2014-01-31 10:51:40 UTC
Change 110535 had a related patch set uploaded by Hashar:
make some jslint voting

https://gerrit.wikimedia.org/r/110535
Comment 4 Antoine "hashar" Musso (WMF) 2014-01-31 10:52:21 UTC
Created attachment 14426 [details]
list of jslint jobs non voting in Zuul (after change 110535)
Comment 5 Gerrit Notification Bot 2014-01-31 10:53:07 UTC
Change 110385 merged by jenkins-bot:
make jslint voting by default

https://gerrit.wikimedia.org/r/110385
Comment 6 Gerrit Notification Bot 2014-01-31 10:54:22 UTC
Change 110535 merged by jenkins-bot:
make some jslint voting

https://gerrit.wikimedia.org/r/110535
Comment 7 Gerrit Notification Bot 2014-02-20 13:56:46 UTC
Change 114460 had a related patch set uploaded by Hashar:
Non voting jshint jobs now have a bug report

https://gerrit.wikimedia.org/r/114460
Comment 8 Gerrit Notification Bot 2014-02-20 13:57:11 UTC
Change 114460 merged by jenkins-bot:
Non voting jshint jobs now have a bug report

https://gerrit.wikimedia.org/r/114460
Comment 9 Krinkle 2014-04-22 19:31:14 UTC
Fix grammer in the title (either "Have all repositories pass" or "All repositories have to pass"; "Have all repositories to pass jshint test" is invalid)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links